summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Beierlein <tomjbe@gentoo.org>2017-12-03 12:20:08 +0100
committerThomas Beierlein <tomjbe@gentoo.org>2017-12-03 12:21:18 +0100
commit7b850ba63cd8fe91049bd8989be498e28d20157f (patch)
tree4d3c9a6318994b8379c83507adb15a60e079c1c0 /media-radio/qsstv
parentmedia-gfx/imagemagick: stable 7.0.7.11 for ia64/ppc/ppc64, bug #638110 (diff)
downloadgentoo-7b850ba63cd8fe91049bd8989be498e28d20157f.tar.gz
gentoo-7b850ba63cd8fe91049bd8989be498e28d20157f.tar.bz2
gentoo-7b850ba63cd8fe91049bd8989be498e28d20157f.zip
media-radio/qsstv: Version bump. Switch to using QT5
Fixes bug # 639256. Package-Manager: Portage-2.3.16, Repoman-2.3.6
Diffstat (limited to 'media-radio/qsstv')
-rw-r--r--media-radio/qsstv/Manifest3
-rw-r--r--media-radio/qsstv/qsstv-9.2.6.ebuild52
2 files changed, 54 insertions, 1 deletions
diff --git a/media-radio/qsstv/Manifest b/media-radio/qsstv/Manifest
index 8c8d2b3f831..71149648f9e 100644
--- a/media-radio/qsstv/Manifest
+++ b/media-radio/qsstv/Manifest
@@ -1 +1,2 @@
-DIST qsstv_9.2.4.tar.gz 11883587 SHA256 509c01e0d966ce622478d89cc168acb66327af452d2ef593731c23f35c8db3c5 SHA512 a354fcc086c08b5bea69416d9d5f9ad7bde5ff496edeecf6403249c77d8f27176b6928dc9885c924a8f61db087a4c8286f1b6f26a73034b72723ba390ce8a9fd WHIRLPOOL 63c4b05e928c5aea0c9295dd4b173021c7e922d3635307a7b52875cf5a39ed2f0d816bd475c11413e8a732a0685f18d61c42bc509954829d61734d7aa4fee7c5
+DIST qsstv_9.2.4.tar.gz 11883587 BLAKE2B 028805eb2486208d72fb0bd16909b2923a2d95d8e6e28d84d564488cedd2da570d0e6c4178101141a4374979958ba97b26c252da67ced3b3be0059c865c6d235 SHA512 a354fcc086c08b5bea69416d9d5f9ad7bde5ff496edeecf6403249c77d8f27176b6928dc9885c924a8f61db087a4c8286f1b6f26a73034b72723ba390ce8a9fd
+DIST qsstv_9.2.6.tar.gz 11385735 BLAKE2B b7192255a3df32d5fbf07f54e1a8b7a7fd092fc4f7cca794df66d73687342e2169cdf8a2e08e7d665e6c27cefa3e9e4574c10c685cc9647caae1156d5c88522f SHA512 10ad86db8a4db432dc757314375487d4128a612a54496105c2acaadce4f2cba8d044f1c5bf1d38534664ef7c065742606027306b3542ae834673ffce58885557
diff --git a/media-radio/qsstv/qsstv-9.2.6.ebuild b/media-radio/qsstv/qsstv-9.2.6.ebuild
new file mode 100644
index 00000000000..a024829b0cd
--- /dev/null
+++ b/media-radio/qsstv/qsstv-9.2.6.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils qmake-utils
+
+MY_P=${P/-/_}
+
+DESCRIPTION="Amateur radio SSTV software"
+HOMEPAGE="http://users.telenet.be/on4qz/"
+SRC_URI="http://users.telenet.be/on4qz/qsstv/downloads/${MY_P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+CDEPEND="dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ media-libs/hamlib
+ media-libs/openjpeg:2
+ media-libs/alsa-lib
+ media-sound/pulseaudio
+ media-libs/libv4l
+ sci-libs/fftw:3.0="
+DEPEND="${CDEPEND}
+ virtual/pkgconfig"
+RDEPEND="${CDEPEND}
+ x11-misc/xdg-utils"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ eapply_user
+ # fix docdirectory, install path and hamlib search path
+ sed -i -e "s:/doc/\$\$TARGET:/doc/${PF}:" \
+ -e "s:-lhamlib:-L/usr/$(get_libdir)/hamlib -lhamlib:g" \
+ qsstv/qsstv.pro || die
+}
+
+src_compile() {
+ eqmake5
+}
+
+src_install() {
+ emake INSTALL_ROOT="${D}" install
+ dodoc README.txt
+}